<div class="container-fluid mt-4">

  <div class="card p-4">
    <div class="row">
      <div class="col-md-12">
        <h4>{{translate('title')}}</h4>
      </div>
    </div>

    <form [formGroup]="formGroup" (submit)="save()">
      <div class="row">
        <div class="col-md-3">
          <div class="form-group">
            <label for="codigo">{{translate('codigo')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="codigo"
                   name="codigo"
                   onlyNumber
                   formControlName="codigo"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="codigo"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-9">
          <div class="form-group">
            <label for="nome">{{translate('nome')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="nome"
                   name="nome"
                   formControlName="nome"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="nome"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <app-salvar [typeButton]="'submit'"></app-salvar>
          <app-cancelar (click)="back()"></app-cancelar>
        </div>
      </div>
    </form>
  </div>
</div>
